[data-controller="navbar"] {
  /*------------------------------------------Nav Bar bootstrap */

  .shimmer {
    color: grey;
    display:inline-block;
    -webkit-mask:linear-gradient(-60deg,#000 30%,#0005,#000 70%) right/300% 100%;
    background-repeat: no-repeat;
    animation: shimmer 5s infinite;
    font-size: 50px;
    max-width:200px;
  }
  
  @keyframes shimmer {
    100% {-webkit-mask-position:left}
  }

  .active-nav-link{
    color: #8a733e !important;
  }

  #item_color {
    color: white;
    font-size: 1.5rem;
    font-family: "Franchisefree";
  }
  img {
    margin: 0.7rem 0 0.7rem 0;
  }
  button {
    &:hover {
      filter: brightness(0.7);
    }
  }
  .separator {
    border-bottom: 1px solid #8a733e;
    position: absolute;
    top: 72px !important;
    left: 0 !important;
    box-shadow: 0px 1px 1px rgba(255, 255, 255, 0.1);
  }
  .menu_items {
    &:hover {
      color: #8a733e !important;
      &::after {
        transform: scaleX(1);
      }
    }
    &::after {
      border-bottom: solid 1px black;
      transform: scaleX(0);
      transition: transform 250ms ease-in-out;
    }
  }
  .navbar-toggler {
    width: 20px;
    height: 20px;
    position: relative;
    transition: 0.5s ease-in-out;
  }
  .navbar-toggler,
  .navbar-toggler:focus,
  .navbar-toggler:active,
  .navbar-toggler-icon:focus {
    outline: none;
    box-shadow: none;
    border: 0;
  }
  .navbar-toggler span {
    margin: 0;
    padding: 0;
  }
  .toggler-icon {
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;
    background: white;
    border-radius: 1px;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: 0.25 ease-in-out;
  }
  .middle-bar {
    margin-top: 0px;
  }
  .navbar-toggler .top-bar {
    margin-top: 0px;
    transform: rotate(135deg);
  }
  .navbar-toggler .middle-bar {
    opacity: 0;
    filter: alpha(opacity=0);
  }
  .navbar-toggler .bottom-bar {
    margin-top: 0px;
    transform: rotate(-135deg);
  }
  .navbar-toggler.collapsed .top-bar {
    margin-top: -15px;
    transform: rotate(0deg);
  }
  .navbar-toggler.collapsed .middle-bar {
    opacity: 1;
    filter: alpha(opacity=100);
  }
  .navbar-toggler.collapsed .bottom-bar {
    margin-top: 17px;
    transform: rotate(0deg);
  }

  .navbar-toggler-icon {
    filter: sepia(1);
  }
  .menu_items {
    @media screen and (max-width: 991px) {
      margin-right: 0;
    }
    margin-right: 4rem;
    color: #ffffff;
    font-weight: 500;
    font-size: 15px;
    padding: 1rem;
    display: inline-block;
    &:hover {
      color: #8a733e;
      &::after {
        transform: scaleX(1);
      }
    }
    &::after {
      padding: 0.1rem;
      display: block;
      content: "";
      border-bottom: solid 1px #8a733e;
      transform: scaleX(0);
      transition: transform 250ms ease-in-out;
    }
  }
}
